/*основное - начало*/
html {
  box-sizing: border-box;
  scrollbar-color: rgb(224, 224, 224) transparent;
  scrollbar-width: thin;
}
html * {
  box-sizing: border-box;
}
html::-webkit-scrollbar-button {
  width: 4px;
  height: 0px
}
html::-webkit-scrollbar-track {
  background-color: transparent;
}
html::-webkit-scrollbar-thumb {
  background: rgb(224, 224, 224);
  border-radius: 6px;
}
html::-webkit-scrollbar {
  width: 4px;
  height: 4px;
}
body {
  margin: 0;
  font-family: 'IBM Plex Mono', monospace;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  background: #F5F5F5;
  flex-direction: column;
  font-style: normal;
  font-weight: 500;
  font-size: 26px;
  line-height: 120%;
  color: #4D4D4D;
}
.box {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex-direction: column;
}
.wrapper {
  width: 100%;
  max-width: 1240px;
  margin: 0 auto;
  padding: 0 20px;
}
.line {
  width: 100%;
  height: auto;
  position: relative;
  border-bottom: 2px dashed #D8073B;
  margin: 0 0 24px 0;
}
.line:before {
  content: '';
  display: block;
  width: 7px;
  height: 7px;
  background: #D8073B;
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  border-radius: 100%;
  position: absolute;
  bottom: -4px;
  left: 0;
}
.line:after {
  content: '';
  display: block;
  width: 7px;
  height: 7px;
  background: #D8073B;
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  border-radius: 100%;
  position: absolute;
  bottom: -4px;
  right: 0;
}
.line h2 {
  width: auto;
  font-family: 'Inter', sans-serif;
  font-weight: 500;
  font-style: normal;
  font-size: 20px;
  line-height: 120%;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  color: #D8073B;
  margin: 0;
  padding: 0 0 11px 0;
}
.line h2:before {
  content: '';
  display: block;
  width: 7px;
  height: 7px;
  background: #D8073B;
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  border-radius: 100%;
  position: absolute;
  bottom: -4px;
  left: 60%;
}
.line h2:after {
  content: '';
  display: block;
  width: 7px;
  height: 7px;
  background: #D8073B;
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  border-radius: 100%;
  position: absolute;
  bottom: -4px;
  left: calc(60% + 13px);
}
.box .wrapper {
  margin: 100px auto;
}
p {
  margin: 0 0 20px 0;
  font-style: normal;
  font-weight: 500;
  font-size: 26px;
  line-height: 120%;
  color: #4D4D4D;
}
.info p {
  max-width: 714px;
}
.mbl-vsbl {
  display: none !important;
}
.mbl-hdn {
  display: flex !important;
}
/*Основное - конец*/

/*Шапка -начало*/
.box.header {
  background: linear-gradient(88.07deg, #D7063A 9.84%, rgba(215, 6, 58, 0) 87.96%), url('./src/header-bg.png') top right no-repeat;
  min-height: 500px;
  height: 100vh;
  -webkit-background-size: cover;
  background-size: cover;
  display: flex;
  align-items: stretch;
  justify-content: stretch;
  margin: 0;
}
.box.header .wrapper {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex-direction: column;
  flex: 1 0 auto;
  margin: 0 auto;
}
.header .wrapper .logo {
  flex: 1 0 auto;
  display: flex;
  align-items: center;
}
.header .wrapper .info {
  width: 100%;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  flex-wrap: wrap;
}
.header .wrapper .info p {
  color: #fff;
  margin: 35px 0 100px;
}
.header .line {
  border-bottom: 1px solid #fff;
  margin: 0;
}
.header .line:before {
  background: #fff;
  bottom: -3.5px;
}
.header .line:after {
  background: #fff;
  bottom: -3.5px;
}
.header .line h2 {
  padding: 0;
  margin: 0;
}
.header .line h2:before {
  background: #fff;
  bottom: -3.5px;
}
.header .line h2:after {
  background: #fff;
  bottom: -3.5px;
}
/*Шапка - конец*/

/*Задача - начало*/
.box.task {
  background: #fff;
}
.box.task .info {
  display: flex;
  width: 100%;
  align-items: flex-start;
  justify-content: space-between;
}
.box.task .info ul {
  padding: 0;
  margin: 0;
  list-style-type: none;
}
.box.task .info ul li {
  text-align: right;
  margin: 0 0 4px 0;
  font-weight: 500;
  font-size: 20px;
  line-height: 120%;
  color: #454042;
  opacity: 0.6;
}
/*Задача - конец*/

/*Модули - начало*/
.box.modules .info p{
  font-size: 20px;
}
.box.modules .wrapper {
  position: relative;
  margin-bottom: 0;
}
.box.modules .images {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  flex-wrap: wrap;
  margin-top: 35px;
}
.box.modules .images img {
  box-shadow: 0px 4px 15px -2px rgba(58, 56, 57, 0.15);
  border-radius: 12px;
  margin-bottom: 24px;
}
.box.modules .images img.fullwidth {
  width: 100%;
}
.box.modules .images div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}
.box.modules .wrapper.company {
  z-index: 1;
  margin-bottom: 100px;
}
.box.modules .wrapper.company:after {
  content: '';
  display: block;
  width: 100%;
  height: 518px;
  background: linear-gradient(180deg, rgba(245, 245, 245, 0) 29.61%, #F5F5F5 47.67%);
  position: absolute;
  bottom: -85px;
  left: 0;
}
.box.modules .wrapper.signing {
  position: relative;
  margin-top: -180px;
  z-index: 2;
}
.box.modules .wrapper.signing:after {
  content: '';
  display: block;
  width: 100%;
  height: 500px;
  background: linear-gradient(180deg, rgba(245, 245, 245, 0) 12.63%, #F5F5F5 40.13%);
  position: absolute;
  bottom: -50px;
  left: 0;
}
.box.modules .wrapper.absences {
  position: relative;
  margin-top: -150px;
  z-index: 3;
}
.box.modules .wrapper.absences .images img {
  width: calc(50% - 12px);
}
.box.modules .wrapper.absences .images img.fullwidth {
  width: 100%;
}
.box.modules .wrapper.absences:after {
  content: '';
  display: block;
  width: 100%;
  height: 227px;
  background: linear-gradient(180deg, rgba(245, 245, 245, 0) 12.63%, #F5F5F5 40.13%);
  position: absolute;
  bottom: -8px;
  left: 0;
}
.box.modules .wrapper.education {
  position: relative;
  margin-top: -30px;
  z-index: 4;
}
.box.modules .wrapper.education:after {
  content: '';
  display: block;
  width: 100%;
  height: 227px;
  bottom: -6px;
  background: linear-gradient(180deg, rgba(245, 245, 245, 0) 12.63%, #F5F5F5 40.13%);
  position: absolute;
  left: 0;
}
/*Модули - конец*/

/*Подвал - начало*/
.footer {
  background: linear-gradient(273deg, #D7063A 46.05%, rgba(215, 6, 58, 0) 87.96%), url('./src/footer-bg.png') top left no-repeat;;
  height: 412px;
  width: 100%;
  position: relative;
  z-index: 5;
  font-style: normal;
  font-weight: 500;
  font-size: 48px;
  line-height: 120%;
  letter-spacing: 0.02em;
  color: #FFFFFF;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}
/*Подвал - конец*/

@media all and (max-width: 1280px) {
  .header .wrapper .logo img {
    width: 100%;
  }
  .box.modules .images img {
    width: calc(50% - 12px);
  }
  .box.modules .images img.fullwidth {
    width: 100%;
  }
  .box.modules .images div {
    width: calc(50% - 12px);
  }
  .box.modules .images div img {
    width: 100%;
  }
  .box.modules .images img:last-child {
    margin-right: 0;
  }
}
@media all and (max-width: 850px) {
  .mbl-vsbl {
    display: flex !important;
  }
  .mbl-hdn {
    display: none !important;
  }
  .line h2:before {
    left: calc(100% - 20px);
  }
  .line h2:after {
    display: none;
  }
  .header .line {
    order: 2;
  }
  .box.header {
    background-position: top center;
  }
  .header .wrapper .logo {
    max-width: 80%;
  }
  .header .wrapper .info p {
    order: 3;
    margin-top: 32px;
  }
  .header .wrapper .info p.year {
    order: 1;
    margin: 0 0 32px 0;
  }
  .box .wrapper {
    margin: 60px 0;
  }
  .box.header .wrapper {
    margin: 0;
  }
  .box.task .info {
    flex-wrap: wrap;
  }
  .box.task .info ul li {
    text-align: left;
  }
  .box.modules .images img {
    width: auto;
    max-width: 100%;
  }
  .box.modules .wrapper.company .images img, .box.modules .wrapper.company .images div {
    width: calc(50% - 12px);
  }
  .box.modules .wrapper.company .images img:nth-child(2), .box.modules .wrapper.company .images img.fullwidth, .box.modules .wrapper.company .images div img {
    width: 100%;
  }
  .box.modules .wrapper.company:after {
    bottom: -211px;
  }
  .box.modules .wrapper.signing {
    margin-top: -80px;
  }
  .box.modules .wrapper.signing:after {
    bottom: -178px;
  }
  .box.modules .wrapper.absences {
    margin-top: -50px;
  }
  .box.modules .wrapper.absences:after {
    bottom: 0;
  }
  .box.modules .wrapper.education {
    margin-top: -60px;
  }
  .box.modules .wrapper.education:after {
    height: 500px;
    bottom: -180px;
  }
  .footer {
    height: 288px;
    font-size: 40px;
    background-position: left center;
    background-size: cover;
  }
  .box.modules .images img {
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-radius: 8px;
  }
}
@media all and (max-width: 500px) {
  .box.header {
    background-position: 60% top;
  }
  .wrapper {
    padding: 0 8px;
  }
  .header .wrapper .info p {
    font-size: 20px;
    margin-bottom: 60px;
  }
  .header .wrapper .info p.yaer {
    margin-bottom: 24px;
  }
  p {
    font-size: 20px;
  }
  .box .wrapper {
    margin: 30px 0;
  }
  .box.modules .info p {
    font-size: 16px;
  }
  .box.modules .images {
    margin-top: 24px;
  }
  .box.modules .images img {
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    margin-bottom: 12px;
  }
  .box.modules .wrapper.company .images div {
    width: 100%;
  }
  .box.modules .wrapper.company .images div img {
    display: none;
  }
  .box.modules .wrapper.company .images div img:first-child {
    display: block;
  }
  .box.modules .wrapper.signing {
    margin-top: -100px;
  }
  .box.modules .wrapper.signing:after {
    bottom: -250px;
    height: 446px;
  }
  .box.modules .wrapper.absences {
    margin-top: 20px;
  }
  .box.modules .wrapper.absences:after {
    bottom: -58px;
    height: 201px;
  }
  .box.modules .wrapper.education {
    margin-top: -20px;
  }
  .box.modules .wrapper.education:after {
    height: 201px;
    bottom: -100px;
  }
  .footer {
    margin-top: 30px;
    font-size: 22px;
    height: 152px;
  }
}
